<?php
namespace Entity;

class QuizEntity
{

    private int $id_quiz;

    private int $nb_questions;

    /**
     * @param int $id_quiz
     * @param int $nb_questions
     */
    public function __construct(int $id_quiz, int $nb_questions)
    {
        $this->id_quiz = $id_quiz;
        $this->nb_questions = $nb_questions;
    }

    /**
     * @return int
     */
    public function getIdQuiz(): int
    {
        return $this->id_quiz;
    }

    /**
     * @param int $id_quiz
     */
    public function setIdQuiz(int $id_quiz): void
    {
        $this->id_quiz = $id_quiz;
    }

    /**
     * @return int
     */
    public function getNbQuestions(): int
    {
        return $this->nb_questions;
    }

    /**
     * @param int $nb_questions
     */
    public function setNbQuestions(int $nb_questions): void
    {
        $this->nb_questions = $nb_questions;
    }




}
